Skip to content
Coritan Docs

Organization API: Customer Portal: Users

The 5 Organization API operations for users.

View as Markdown

Part of Customer Portal.

GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
permissions array of string yes
username_or_email string or null no
username string or null no
email string or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

A subuser drops their own grant

Section titled A subuser drops their own grant

POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/leave

A subuser drops their own grant. Owners cannot leave their own server.

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PUT /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}

Name In Type Required
uuid path string yes
subuser_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
permissions array of string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}

Name In Type Required
uuid path string yes
subuser_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.